<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>pyxbgen Command Line Options &#8212; PyXB 1.2.6 documentation</title>
    
    <link rel="stylesheet" href="_static/classic.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    './',
        VERSION:     '1.2.6',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true,
        SOURCELINK_SUFFIX: '.txt'
      };
    </script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="pyxb package" href="pyxb.html" />
    <link rel="prev" title="Debugging Validation Errors" href="userref_validating.html" /> 
  </head>
  <body role="document">
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="pyxb.html" title="pyxb package"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="userref_validating.html" title="Debugging Validation Errors"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PyXB 1.2.6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="userref_index.html" accesskey="U">User Reference</a> &#187;</li>
    <li style="margin-left: 20px">PyXB hosted on <a href="http://sourceforge.net/projects/pyxb"><img src="http://sflogo.sourceforge.net/sflogo.php?group_id=263147&amp;type=9"
    width="80" height="15" alt="Get PyXB: Python XML Schema Bindings at SourceForge.net. Fast, secure and Free Open Source software downloads"/></a></li>
     

      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="pyxbgen-command-line-options">
<span id="pyxbgen-cli"></span><h1><code class="docutils literal"><span class="pre">pyxbgen</span></code> Command Line Options<a class="headerlink" href="#pyxbgen-command-line-options" title="Permalink to this headline">¶</a></h1>
<div class="section" id="generic-options">
<h2>Generic Options<a class="headerlink" href="#generic-options" title="Permalink to this headline">¶</a></h2>
<table border="1" class="docutils" id="id1">
<caption><span class="caption-text">Generic Options</span><a class="headerlink" href="#id1" title="Permalink to this table">¶</a></caption>
<colgroup>
<col width="14%" />
<col width="10%" />
<col width="7%" />
<col width="69%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Long Option</th>
<th class="head">Argument</th>
<th class="head">Alt</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td><code class="docutils literal"><span class="pre">--version</span></code></td>
<td>&#160;</td>
<td>&#160;</td>
<td><a class="reference internal" href="#pyxbgen-version"><span class="std std-ref">show program&#8217;s version number and exit</span></a></td>
</tr>
<tr class="row-odd"><td><code class="docutils literal"><span class="pre">--help</span></code></td>
<td>&#160;</td>
<td><code class="docutils literal"><span class="pre">-h</span></code></td>
<td><a class="reference internal" href="#pyxbgen-help"><span class="std std-ref">show this help message and exit</span></a></td>
</tr>
</tbody>
</table>
<div class="section" id="version">
<span id="pyxbgen-version"></span><h3><code class="docutils literal"><span class="pre">--version</span></code><a class="headerlink" href="#version" title="Permalink to this headline">¶</a></h3>
<p>show program&#8217;s version number and exit</p>
</div>
<div class="section" id="help">
<span id="pyxbgen-help"></span><h3><code class="docutils literal"><span class="pre">--help</span></code><a class="headerlink" href="#help" title="Permalink to this headline">¶</a></h3>
<p>show this help message and exit</p>
</div>
</div>
<div class="section" id="identifying-schema">
<h2>Identifying Schema<a class="headerlink" href="#identifying-schema" title="Permalink to this headline">¶</a></h2>
<p>Specify and locate schema for which bindings should be generated.</p>
<table border="1" class="docutils" id="id2">
<caption><span class="caption-text">Identifying Schema</span><a class="headerlink" href="#id2" title="Permalink to this table">¶</a></caption>
<colgroup>
<col width="24%" />
<col width="9%" />
<col width="4%" />
<col width="63%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Long Option</th>
<th class="head">Argument</th>
<th class="head">Alt</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td><code class="docutils literal"><span class="pre">--schema-location</span></code></td>
<td><em>FILE_or_URL</em></td>
<td><code class="docutils literal"><span class="pre">-u</span></code></td>
<td><a class="reference internal" href="#pyxbgen-schema-location"><span class="std std-ref">Add the location of an entrypoint schema.  The...</span></a></td>
</tr>
<tr class="row-odd"><td><code class="docutils literal"><span class="pre">--schema-root</span></code></td>
<td><em>DIRECTORY</em></td>
<td>&#160;</td>
<td><a class="reference internal" href="#pyxbgen-schema-root"><span class="std std-ref">The directory from which entrypoint schemas...</span></a></td>
</tr>
<tr class="row-even"><td><code class="docutils literal"><span class="pre">--schema-stripped-prefix</span></code></td>
<td><em>TEXT</em></td>
<td>&#160;</td>
<td><a class="reference internal" href="#pyxbgen-schema-stripped-prefix"><span class="std std-ref">Optional string that is stripped from the...</span></a></td>
</tr>
<tr class="row-odd"><td><code class="docutils literal"><span class="pre">--location-prefix-rewrite</span></code></td>
<td><em>TEXT</em></td>
<td>&#160;</td>
<td><a class="reference internal" href="#pyxbgen-location-prefix-rewrite"><span class="std std-ref">Add a rewrite entry for schema locations....</span></a></td>
</tr>
<tr class="row-even"><td><code class="docutils literal"><span class="pre">--uri-content-archive-directory</span></code></td>
<td><em>DIRECTORY</em></td>
<td>&#160;</td>
<td><a class="reference internal" href="#pyxbgen-uri-content-archive-directory"><span class="std std-ref">The directory path into which any content...</span></a></td>
</tr>
</tbody>
</table>
<div class="section" id="schema-location">
<span id="pyxbgen-schema-location"></span><h3><code class="docutils literal"><span class="pre">--schema-location</span></code><a class="headerlink" href="#schema-location" title="Permalink to this headline">¶</a></h3>
<p>Add the location of an entrypoint schema.  The provided value should be
a URL; if it does not have a URL scheme (e.g., <code class="docutils literal"><span class="pre">http:</span></code>), it is assumed
to be a file, and if it is not an absolute path is located relative to
the <code class="docutils literal"><span class="pre">schemaRoot</span></code>.</p>
</div>
<div class="section" id="schema-root">
<span id="pyxbgen-schema-root"></span><h3><code class="docutils literal"><span class="pre">--schema-root</span></code><a class="headerlink" href="#schema-root" title="Permalink to this headline">¶</a></h3>
<p>The directory from which entrypoint schemas specified as relative file
paths will be read.</p>
</div>
<div class="section" id="schema-stripped-prefix">
<span id="pyxbgen-schema-stripped-prefix"></span><h3><code class="docutils literal"><span class="pre">--schema-stripped-prefix</span></code><a class="headerlink" href="#schema-stripped-prefix" title="Permalink to this headline">¶</a></h3>
<p>Optional string that is stripped from the beginning of schemaLocation
values before loading from them. This now applies only to URIs specified
on the command line so is unlikely to be useful.</p>
</div>
<div class="section" id="location-prefix-rewrite">
<span id="pyxbgen-location-prefix-rewrite"></span><h3><code class="docutils literal"><span class="pre">--location-prefix-rewrite</span></code><a class="headerlink" href="#location-prefix-rewrite" title="Permalink to this headline">¶</a></h3>
<p>Add a rewrite entry for schema locations. Parameter values are strings
of the form <code class="docutils literal"><span class="pre">pfx=sub</span></code>.  The effect is that a schema location that
begins with <code class="docutils literal"><span class="pre">pfx</span></code> is rewritten so that it instead begins with <code class="docutils literal"><span class="pre">sub</span></code>.
This applies to schemaLocation attributes in <code class="docutils literal"><span class="pre">import</span></code> and <code class="docutils literal"><span class="pre">include</span></code>
elements.  It may be used to convert absolute schema locations into
relative ones to allow offline processing when all schema are available
in a local directory.  See <code class="docutils literal"><span class="pre">schemaRoot</span></code>.</p>
</div>
<div class="section" id="uri-content-archive-directory">
<span id="pyxbgen-uri-content-archive-directory"></span><h3><code class="docutils literal"><span class="pre">--uri-content-archive-directory</span></code><a class="headerlink" href="#uri-content-archive-directory" title="Permalink to this headline">¶</a></h3>
<p>The directory path into which any content retrieved by URI will be
written. This serves as a local cache, and to give you an opportunity to
inspect material retrieved from some other system. &#64;rtype: <code class="docutils literal"><span class="pre">str</span></code></p>
</div>
</div>
<div class="section" id="configuring-bindings">
<h2>Configuring Bindings<a class="headerlink" href="#configuring-bindings" title="Permalink to this headline">¶</a></h2>
<p>Specify where generated bindings should be written, and how they will be accessed from Python.</p>
<table border="1" class="docutils" id="id3">
<caption><span class="caption-text">Configuring Bindings</span><a class="headerlink" href="#id3" title="Permalink to this table">¶</a></caption>
<colgroup>
<col width="22%" />
<col width="8%" />
<col width="4%" />
<col width="66%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Long Option</th>
<th class="head">Argument</th>
<th class="head">Alt</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td><code class="docutils literal"><span class="pre">--module</span></code></td>
<td><em>MODULE</em></td>
<td><code class="docutils literal"><span class="pre">-m</span></code></td>
<td><a class="reference internal" href="#pyxbgen-module"><span class="std std-ref">Add a module name corresponding to an entrypoint...</span></a></td>
</tr>
<tr class="row-odd"><td><code class="docutils literal"><span class="pre">--module-prefix</span></code></td>
<td><em>MODULE</em></td>
<td>&#160;</td>
<td><a class="reference internal" href="#pyxbgen-module-prefix"><span class="std std-ref">The prefix for binding modules. The base name for...</span></a></td>
</tr>
<tr class="row-even"><td><code class="docutils literal"><span class="pre">--binding-root</span></code></td>
<td><em>DIRECTORY</em></td>
<td>&#160;</td>
<td><a class="reference internal" href="#pyxbgen-binding-root"><span class="std std-ref">The directory path into which generated bindings...</span></a></td>
</tr>
<tr class="row-odd"><td><code class="docutils literal"><span class="pre">--write-for-customization</span></code></td>
<td>&#160;</td>
<td><code class="docutils literal"><span class="pre">-r</span></code></td>
<td><a class="reference internal" href="#pyxbgen-write-for-customization"><span class="std std-ref">Indicates whether the binding Python code should...</span></a></td>
</tr>
<tr class="row-even"><td><code class="docutils literal"><span class="pre">--no-write-for-customization</span></code></td>
<td>&#160;</td>
<td>&#160;</td>
<td><a class="reference internal" href="#pyxbgen-no-write-for-customization"><span class="std std-ref">Indicates whether the binding Python code should...</span></a></td>
</tr>
</tbody>
</table>
<div class="section" id="module">
<span id="pyxbgen-module"></span><h3><code class="docutils literal"><span class="pre">--module</span></code><a class="headerlink" href="#module" title="Permalink to this headline">¶</a></h3>
<p>Add a module name corresponding to an entrypoint schema. The namespace
defined by the corresponding schema will be written to a binding using
the given module name, adjusted by L{modulePrefix}.</p>
</div>
<div class="section" id="module-prefix">
<span id="pyxbgen-module-prefix"></span><h3><code class="docutils literal"><span class="pre">--module-prefix</span></code><a class="headerlink" href="#module-prefix" title="Permalink to this headline">¶</a></h3>
<p>The prefix for binding modules. The base name for the module holding a
binding is taken from the moduleList, moduleMap, or an XMLNS prefix
associated with the namespace in a containing schema.  This value, if
present, is used as a prefix to allow a deeper module hierarchy.</p>
</div>
<div class="section" id="binding-root">
<span id="pyxbgen-binding-root"></span><h3><code class="docutils literal"><span class="pre">--binding-root</span></code><a class="headerlink" href="#binding-root" title="Permalink to this headline">¶</a></h3>
<p>The directory path into which generated bindings will be written.
&#64;rtype: <code class="docutils literal"><span class="pre">str</span></code></p>
</div>
<div class="section" id="write-for-customization">
<span id="pyxbgen-write-for-customization"></span><h3><code class="docutils literal"><span class="pre">--write-for-customization</span></code><a class="headerlink" href="#write-for-customization" title="Permalink to this headline">¶</a></h3>
<p>Indicates whether the binding Python code should be written into a sub-
module for customization. If enabled, a module <code class="docutils literal"><span class="pre">path.to.namespace</span></code>
will be written to the file <code class="docutils literal"><span class="pre">path/to/raw/namespace.py</span></code>, so that the
file <code class="docutils literal"><span class="pre">path/to/namespace.py</span></code> can import it and override behavior. This
option turns on the feature.</p>
</div>
<div class="section" id="no-write-for-customization">
<span id="pyxbgen-no-write-for-customization"></span><h3><code class="docutils literal"><span class="pre">--no-write-for-customization</span></code><a class="headerlink" href="#no-write-for-customization" title="Permalink to this headline">¶</a></h3>
<p>Indicates whether the binding Python code should be written into a sub-
module for customization. If enabled, a module <code class="docutils literal"><span class="pre">path.to.namespace</span></code>
will be written to the file <code class="docutils literal"><span class="pre">path/to/raw/namespace.py</span></code>, so that the
file <code class="docutils literal"><span class="pre">path/to/namespace.py</span></code> can import it and override behavior. This
option turns off the feature (<em>default</em>).</p>
</div>
</div>
<div class="section" id="reading-namespace-archives">
<h2>Reading Namespace Archives<a class="headerlink" href="#reading-namespace-archives" title="Permalink to this headline">¶</a></h2>
<p>Locating and loading (or inhibiting load of) namespace archives.</p>
<table border="1" class="docutils" id="id4">
<caption><span class="caption-text">Reading Namespace Archives</span><a class="headerlink" href="#id4" title="Permalink to this table">¶</a></caption>
<colgroup>
<col width="23%" />
<col width="6%" />
<col width="3%" />
<col width="68%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Long Option</th>
<th class="head">Argument</th>
<th class="head">Alt</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td><code class="docutils literal"><span class="pre">--archive-path</span></code></td>
<td><em>PATH</em></td>
<td>&#160;</td>
<td><a class="reference internal" href="#pyxbgen-archive-path"><span class="std std-ref">A colon-separated list of paths from which...</span></a></td>
</tr>
<tr class="row-odd"><td><code class="docutils literal"><span class="pre">--import-augmentable-namespace</span></code></td>
<td><em>URI</em></td>
<td>&#160;</td>
<td><a class="reference internal" href="#pyxbgen-import-augmentable-namespace"><span class="std std-ref">Mark that the specified namespace may be imported...</span></a></td>
</tr>
<tr class="row-even"><td><code class="docutils literal"><span class="pre">--no-load-namespace</span></code></td>
<td><em>URI</em></td>
<td>&#160;</td>
<td><a class="reference internal" href="#pyxbgen-no-load-namespace"><span class="std std-ref">Mark that the specified namespace should not be...</span></a></td>
</tr>
</tbody>
</table>
<div class="section" id="archive-path">
<span id="pyxbgen-archive-path"></span><h3><code class="docutils literal"><span class="pre">--archive-path</span></code><a class="headerlink" href="#archive-path" title="Permalink to this headline">¶</a></h3>
<p>A colon-separated list of paths from which namespace archives can be
read. The default path is the contents of the <code class="docutils literal"><span class="pre">PYXB_ARCHIVE_PATH</span></code>
environment variable, or the standard path configured at installation
time.  Any file with the extension <code class="docutils literal"><span class="pre">.wxs</span></code> found in one of these
directories is examined to see whether it is a namespace archive.</p>
</div>
<div class="section" id="import-augmentable-namespace">
<span id="pyxbgen-import-augmentable-namespace"></span><h3><code class="docutils literal"><span class="pre">--import-augmentable-namespace</span></code><a class="headerlink" href="#import-augmentable-namespace" title="Permalink to this headline">¶</a></h3>
<p>Mark that the specified namespace may be imported by new bindings.
Normally namespaces that are available from archives are considered to
be complete, and schema locations in import directives are ignored.  Use
this to indicate that the bindings being generated import new bindings.
Note that attempts to import schema that contributed to the archive will
only be detected if the archive was generated from the same
schemaLocation URI; if the archive was generated from a different source
component definitions might conflict.</p>
</div>
<div class="section" id="no-load-namespace">
<span id="pyxbgen-no-load-namespace"></span><h3><code class="docutils literal"><span class="pre">--no-load-namespace</span></code><a class="headerlink" href="#no-load-namespace" title="Permalink to this headline">¶</a></h3>
<p>Mark that the specified namespace should not be loaded from an archive.
Use this when you are generating bindings for an application that has a
restricted profile of a namespace that would otherwise be read from an
archive.  Be aware that this removes any knowledge of any archive in
which this namespace is present as a non-private member.</p>
</div>
</div>
<div class="section" id="writing-namespace-archives">
<h2>Writing Namespace Archives<a class="headerlink" href="#writing-namespace-archives" title="Permalink to this headline">¶</a></h2>
<p>Control the location and content of a namespace archive corresponding to a binding generation.</p>
<table border="1" class="docutils" id="id5">
<caption><span class="caption-text">Writing Namespace Archives</span><a class="headerlink" href="#id5" title="Permalink to this table">¶</a></caption>
<colgroup>
<col width="22%" />
<col width="7%" />
<col width="3%" />
<col width="68%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Long Option</th>
<th class="head">Argument</th>
<th class="head">Alt</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td><code class="docutils literal"><span class="pre">--archive-to-file</span></code></td>
<td><em>FILE</em></td>
<td>&#160;</td>
<td><a class="reference internal" href="#pyxbgen-archive-to-file"><span class="std std-ref">Optional file into which the archive of namespaces...</span></a></td>
</tr>
<tr class="row-odd"><td><code class="docutils literal"><span class="pre">--public-namespace</span></code></td>
<td><em>URI</em></td>
<td>&#160;</td>
<td><a class="reference internal" href="#pyxbgen-public-namespace"><span class="std std-ref">Indicates, for specific namespaces, whether their...</span></a></td>
</tr>
<tr class="row-even"><td><code class="docutils literal"><span class="pre">--private-namespace</span></code></td>
<td><em>URI</em></td>
<td>&#160;</td>
<td><a class="reference internal" href="#pyxbgen-private-namespace"><span class="std std-ref">Indicates, for specific namespaces, whether their...</span></a></td>
</tr>
<tr class="row-odd"><td><code class="docutils literal"><span class="pre">--default-namespace-public</span></code></td>
<td>&#160;</td>
<td>&#160;</td>
<td><a class="reference internal" href="#pyxbgen-default-namespace-public"><span class="std std-ref">Indicates whether unmentioned namespaces will be...</span></a></td>
</tr>
<tr class="row-even"><td><code class="docutils literal"><span class="pre">--default-namespace-private</span></code></td>
<td>&#160;</td>
<td>&#160;</td>
<td><a class="reference internal" href="#pyxbgen-default-namespace-private"><span class="std std-ref">Indicates whether unmentioned namespaces will be...</span></a></td>
</tr>
</tbody>
</table>
<div class="section" id="archive-to-file">
<span id="pyxbgen-archive-to-file"></span><h3><code class="docutils literal"><span class="pre">--archive-to-file</span></code><a class="headerlink" href="#archive-to-file" title="Permalink to this headline">¶</a></h3>
<p>Optional file into which the archive of namespaces will be written.
Subsequent generation actions can read pre-parsed namespaces from this
file, and therefore reference the bindings that were built earlier
rather than re-generating them. The file name should normally end with
<code class="docutils literal"><span class="pre">.wxs</span></code>.</p>
</div>
<div class="section" id="public-namespace">
<span id="pyxbgen-public-namespace"></span><h3><code class="docutils literal"><span class="pre">--public-namespace</span></code><a class="headerlink" href="#public-namespace" title="Permalink to this headline">¶</a></h3>
<p>Indicates, for specific namespaces, whether their visibility in the
archive should be public or private. This option adds the namespace as a
public archive member.</p>
</div>
<div class="section" id="private-namespace">
<span id="pyxbgen-private-namespace"></span><h3><code class="docutils literal"><span class="pre">--private-namespace</span></code><a class="headerlink" href="#private-namespace" title="Permalink to this headline">¶</a></h3>
<p>Indicates, for specific namespaces, whether their visibility in the
archive should be public or private. This option adds the namespace as a
private archive member.</p>
</div>
<div class="section" id="default-namespace-public">
<span id="pyxbgen-default-namespace-public"></span><h3><code class="docutils literal"><span class="pre">--default-namespace-public</span></code><a class="headerlink" href="#default-namespace-public" title="Permalink to this headline">¶</a></h3>
<p>Indicates whether unmentioned namespaces will be public or private
(default) in the archive. A namespace is <em>mentioned</em> if it is the target
namespace of an entrypoint schema, or appears in a namespace visibility
specification.  I.e., this default applies only to namespaces that are
modified as a result of including some schema, which is generally a
local customization of something. This option makes the default
<code class="docutils literal"><span class="pre">public</span></code> (<em>default</em>).</p>
</div>
<div class="section" id="default-namespace-private">
<span id="pyxbgen-default-namespace-private"></span><h3><code class="docutils literal"><span class="pre">--default-namespace-private</span></code><a class="headerlink" href="#default-namespace-private" title="Permalink to this headline">¶</a></h3>
<p>Indicates whether unmentioned namespaces will be public or private
(default) in the archive. A namespace is <em>mentioned</em> if it is the target
namespace of an entrypoint schema, or appears in a namespace visibility
specification.  I.e., this default applies only to namespaces that are
modified as a result of including some schema, which is generally a
local customization of something. This option makes the default
<code class="docutils literal"><span class="pre">private</span></code>.</p>
</div>
</div>
<div class="section" id="configuring-binding-code-generation">
<h2>Configuring Binding Code Generation<a class="headerlink" href="#configuring-binding-code-generation" title="Permalink to this headline">¶</a></h2>
<p>Control the style and content of the generated bindings.  This is not well-supported, and you are advised to pretend these options don&#8217;t exist.</p>
<table border="1" class="docutils" id="id6">
<caption><span class="caption-text">Configuring Binding Code Generation</span><a class="headerlink" href="#id6" title="Permalink to this table">¶</a></caption>
<colgroup>
<col width="20%" />
<col width="7%" />
<col width="3%" />
<col width="69%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Long Option</th>
<th class="head">Argument</th>
<th class="head">Alt</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td><code class="docutils literal"><span class="pre">--validate-changes</span></code></td>
<td>&#160;</td>
<td>&#160;</td>
<td><a class="reference internal" href="#pyxbgen-validate-changes"><span class="std std-ref">Indicates whether the bindings should validate...</span></a></td>
</tr>
<tr class="row-odd"><td><code class="docutils literal"><span class="pre">--no-validate-changes</span></code></td>
<td>&#160;</td>
<td>&#160;</td>
<td><a class="reference internal" href="#pyxbgen-no-validate-changes"><span class="std std-ref">Indicates whether the bindings should validate...</span></a></td>
</tr>
</tbody>
</table>
<div class="section" id="validate-changes">
<span id="pyxbgen-validate-changes"></span><h3><code class="docutils literal"><span class="pre">--validate-changes</span></code><a class="headerlink" href="#validate-changes" title="Permalink to this headline">¶</a></h3>
<p>Indicates whether the bindings should validate mutations against the
content model. This option turns on validation (default).</p>
</div>
<div class="section" id="no-validate-changes">
<span id="pyxbgen-no-validate-changes"></span><h3><code class="docutils literal"><span class="pre">--no-validate-changes</span></code><a class="headerlink" href="#no-validate-changes" title="Permalink to this headline">¶</a></h3>
<p>Indicates whether the bindings should validate mutations against the
content model. This option turns off validation.</p>
</div>
</div>
<div class="section" id="miscellaneous-options">
<h2>Miscellaneous Options<a class="headerlink" href="#miscellaneous-options" title="Permalink to this headline">¶</a></h2>
<p>Anything else.</p>
<table border="1" class="docutils" id="id7">
<caption><span class="caption-text">Miscellaneous Options</span><a class="headerlink" href="#id7" title="Permalink to this table">¶</a></caption>
<colgroup>
<col width="20%" />
<col width="7%" />
<col width="3%" />
<col width="70%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Long Option</th>
<th class="head">Argument</th>
<th class="head">Alt</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td><code class="docutils literal"><span class="pre">--logging-config-file</span></code></td>
<td><em>FILE</em></td>
<td>&#160;</td>
<td><a class="reference internal" href="#pyxbgen-logging-config-file"><span class="std std-ref">A file provided to L{logging.config.fileConfig} to...</span></a></td>
</tr>
</tbody>
</table>
<div class="section" id="logging-config-file">
<span id="pyxbgen-logging-config-file"></span><h3><code class="docutils literal"><span class="pre">--logging-config-file</span></code><a class="headerlink" href="#logging-config-file" title="Permalink to this headline">¶</a></h3>
<p>A file provided to L{logging.config.fileConfig} to control log messages.
In the absence of other configuration the Python standard logging
infrastructure is used in its default configuration. &#64;rtype: <code class="docutils literal"><span class="pre">str</span></code></p>
</div>
</div>
<div class="section" id="maintainer-options">
<h2>Maintainer Options<a class="headerlink" href="#maintainer-options" title="Permalink to this headline">¶</a></h2>
<p>Don&#8217;t use these.  They don&#8217;t exist.  If they did, they&#8217;d do different things at different times, and if you used them you&#8217;d probably be sorry.</p>
<table border="1" class="docutils" id="id8">
<caption><span class="caption-text">Maintainer Options</span><a class="headerlink" href="#id8" title="Permalink to this table">¶</a></caption>
<colgroup>
<col width="24%" />
<col width="6%" />
<col width="3%" />
<col width="67%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Long Option</th>
<th class="head">Argument</th>
<th class="head">Alt</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td><code class="docutils literal"><span class="pre">--allow-absent-module</span></code></td>
<td>&#160;</td>
<td>&#160;</td>
<td><a class="reference internal" href="#pyxbgen-allow-absent-module"><span class="std std-ref">Indicates whether the code generator is permitted...</span></a></td>
</tr>
<tr class="row-odd"><td><code class="docutils literal"><span class="pre">--no-allow-absent-module</span></code></td>
<td>&#160;</td>
<td>&#160;</td>
<td><a class="reference internal" href="#pyxbgen-no-allow-absent-module"><span class="std std-ref">Indicates whether the code generator is permitted...</span></a></td>
</tr>
<tr class="row-even"><td><code class="docutils literal"><span class="pre">--allow-builtin-generation</span></code></td>
<td>&#160;</td>
<td>&#160;</td>
<td><a class="reference internal" href="#pyxbgen-allow-builtin-generation"><span class="std std-ref">Indicates whether bindings will be written for...</span></a></td>
</tr>
<tr class="row-odd"><td><code class="docutils literal"><span class="pre">--no-allow-builtin-generation</span></code></td>
<td>&#160;</td>
<td>&#160;</td>
<td><a class="reference internal" href="#pyxbgen-no-allow-builtin-generation"><span class="std std-ref">Indicates whether bindings will be written for...</span></a></td>
</tr>
</tbody>
</table>
<div class="section" id="allow-absent-module">
<span id="pyxbgen-allow-absent-module"></span><h3><code class="docutils literal"><span class="pre">--allow-absent-module</span></code><a class="headerlink" href="#allow-absent-module" title="Permalink to this headline">¶</a></h3>
<p>Indicates whether the code generator is permitted to process namespace
for which no module path can be determined. Use this only when
generating bindings that will not be referenced by other bindings. This
option turns on the feature.</p>
</div>
<div class="section" id="no-allow-absent-module">
<span id="pyxbgen-no-allow-absent-module"></span><h3><code class="docutils literal"><span class="pre">--no-allow-absent-module</span></code><a class="headerlink" href="#no-allow-absent-module" title="Permalink to this headline">¶</a></h3>
<p>Indicates whether the code generator is permitted to process namespace
for which no module path can be determined. Use this only when
generating bindings that will not be referenced by other bindings. This
option turns off the feature (default).</p>
</div>
<div class="section" id="allow-builtin-generation">
<span id="pyxbgen-allow-builtin-generation"></span><h3><code class="docutils literal"><span class="pre">--allow-builtin-generation</span></code><a class="headerlink" href="#allow-builtin-generation" title="Permalink to this headline">¶</a></h3>
<p>Indicates whether bindings will be written for namespaces that are
built-in to PyXB. This must be enabled when building bindings for the
XML, XMLSchema instance, and other built-in namespaces.  Normally
generation of these namespaces is inhibited lest it produce
inconsistencies. This option turns on the feature.</p>
</div>
<div class="section" id="no-allow-builtin-generation">
<span id="pyxbgen-no-allow-builtin-generation"></span><h3><code class="docutils literal"><span class="pre">--no-allow-builtin-generation</span></code><a class="headerlink" href="#no-allow-builtin-generation" title="Permalink to this headline">¶</a></h3>
<p>Indicates whether bindings will be written for namespaces that are
built-in to PyXB. This must be enabled when building bindings for the
XML, XMLSchema instance, and other built-in namespaces.  Normally
generation of these namespaces is inhibited lest it produce
inconsistencies. This option turns off the feature (default).</p>
</div>
</div>
<div class="section" id="wsdl-options">
<h2>WSDL Options<a class="headerlink" href="#wsdl-options" title="Permalink to this headline">¶</a></h2>
<p>Options relevant to generating bindings from WSDL service descriptions</p>
<table border="1" class="docutils" id="id9">
<caption><span class="caption-text">WSDL Options</span><a class="headerlink" href="#id9" title="Permalink to this table">¶</a></caption>
<colgroup>
<col width="16%" />
<col width="11%" />
<col width="5%" />
<col width="68%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Long Option</th>
<th class="head">Argument</th>
<th class="head">Alt</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td><code class="docutils literal"><span class="pre">--wsdl-location</span></code></td>
<td><em>FILE_or_URL</em></td>
<td><code class="docutils literal"><span class="pre">-W</span></code></td>
<td><a class="reference internal" href="#pyxbgen-wsdl-location"><span class="std std-ref">Generate bindings for the types stanza of the...</span></a></td>
</tr>
</tbody>
</table>
<div class="section" id="wsdl-location">
<span id="pyxbgen-wsdl-location"></span><h3><code class="docutils literal"><span class="pre">--wsdl-location</span></code><a class="headerlink" href="#wsdl-location" title="Permalink to this headline">¶</a></h3>
<p>Generate bindings for the <code class="docutils literal"><span class="pre">types</span></code> stanza of the WSDL at this location.
This option is equivalent to retrieving the WSDL, extracting the schema
part of its <code class="docutils literal"><span class="pre">types</span></code> block to a file, and using that file as a
<code class="docutils literal"><span class="pre">--schema-location</span></code>.</p>
</div>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="index.html">Table Of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#"><code class="docutils literal"><span class="pre">pyxbgen</span></code> Command Line Options</a><ul>
<li><a class="reference internal" href="#generic-options">Generic Options</a><ul>
<li><a class="reference internal" href="#version"><code class="docutils literal"><span class="pre">--version</span></code></a></li>
<li><a class="reference internal" href="#help"><code class="docutils literal"><span class="pre">--help</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#identifying-schema">Identifying Schema</a><ul>
<li><a class="reference internal" href="#schema-location"><code class="docutils literal"><span class="pre">--schema-location</span></code></a></li>
<li><a class="reference internal" href="#schema-root"><code class="docutils literal"><span class="pre">--schema-root</span></code></a></li>
<li><a class="reference internal" href="#schema-stripped-prefix"><code class="docutils literal"><span class="pre">--schema-stripped-prefix</span></code></a></li>
<li><a class="reference internal" href="#location-prefix-rewrite"><code class="docutils literal"><span class="pre">--location-prefix-rewrite</span></code></a></li>
<li><a class="reference internal" href="#uri-content-archive-directory"><code class="docutils literal"><span class="pre">--uri-content-archive-directory</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#configuring-bindings">Configuring Bindings</a><ul>
<li><a class="reference internal" href="#module"><code class="docutils literal"><span class="pre">--module</span></code></a></li>
<li><a class="reference internal" href="#module-prefix"><code class="docutils literal"><span class="pre">--module-prefix</span></code></a></li>
<li><a class="reference internal" href="#binding-root"><code class="docutils literal"><span class="pre">--binding-root</span></code></a></li>
<li><a class="reference internal" href="#write-for-customization"><code class="docutils literal"><span class="pre">--write-for-customization</span></code></a></li>
<li><a class="reference internal" href="#no-write-for-customization"><code class="docutils literal"><span class="pre">--no-write-for-customization</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#reading-namespace-archives">Reading Namespace Archives</a><ul>
<li><a class="reference internal" href="#archive-path"><code class="docutils literal"><span class="pre">--archive-path</span></code></a></li>
<li><a class="reference internal" href="#import-augmentable-namespace"><code class="docutils literal"><span class="pre">--import-augmentable-namespace</span></code></a></li>
<li><a class="reference internal" href="#no-load-namespace"><code class="docutils literal"><span class="pre">--no-load-namespace</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#writing-namespace-archives">Writing Namespace Archives</a><ul>
<li><a class="reference internal" href="#archive-to-file"><code class="docutils literal"><span class="pre">--archive-to-file</span></code></a></li>
<li><a class="reference internal" href="#public-namespace"><code class="docutils literal"><span class="pre">--public-namespace</span></code></a></li>
<li><a class="reference internal" href="#private-namespace"><code class="docutils literal"><span class="pre">--private-namespace</span></code></a></li>
<li><a class="reference internal" href="#default-namespace-public"><code class="docutils literal"><span class="pre">--default-namespace-public</span></code></a></li>
<li><a class="reference internal" href="#default-namespace-private"><code class="docutils literal"><span class="pre">--default-namespace-private</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#configuring-binding-code-generation">Configuring Binding Code Generation</a><ul>
<li><a class="reference internal" href="#validate-changes"><code class="docutils literal"><span class="pre">--validate-changes</span></code></a></li>
<li><a class="reference internal" href="#no-validate-changes"><code class="docutils literal"><span class="pre">--no-validate-changes</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#miscellaneous-options">Miscellaneous Options</a><ul>
<li><a class="reference internal" href="#logging-config-file"><code class="docutils literal"><span class="pre">--logging-config-file</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#maintainer-options">Maintainer Options</a><ul>
<li><a class="reference internal" href="#allow-absent-module"><code class="docutils literal"><span class="pre">--allow-absent-module</span></code></a></li>
<li><a class="reference internal" href="#no-allow-absent-module"><code class="docutils literal"><span class="pre">--no-allow-absent-module</span></code></a></li>
<li><a class="reference internal" href="#allow-builtin-generation"><code class="docutils literal"><span class="pre">--allow-builtin-generation</span></code></a></li>
<li><a class="reference internal" href="#no-allow-builtin-generation"><code class="docutils literal"><span class="pre">--no-allow-builtin-generation</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#wsdl-options">WSDL Options</a><ul>
<li><a class="reference internal" href="#wsdl-location"><code class="docutils literal"><span class="pre">--wsdl-location</span></code></a></li>
</ul>
</li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="userref_validating.html"
                        title="previous chapter">Debugging Validation Errors</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="pyxb.html"
                        title="next chapter">pyxb package</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/pyxbgen_cli.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <form class="search" action="search.html" method="get">
      <div><input type="text" name="q" /></div>
      <div><input type="submit" value="Go" /></div>
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="pyxb.html" title="pyxb package"
             >next</a> |</li>
        <li class="right" >
          <a href="userref_validating.html" title="Debugging Validation Errors"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PyXB 1.2.6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="userref_index.html" >User Reference</a> &#187;</li>
    <li style="margin-left: 20px">PyXB hosted on <a href="http://sourceforge.net/projects/pyxb"><img src="http://sflogo.sourceforge.net/sflogo.php?group_id=263147&amp;type=9"
    width="80" height="15" alt="Get PyXB: Python XML Schema Bindings at SourceForge.net. Fast, secure and Free Open Source software downloads"/></a></li>
     

      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2017, Peter A. Bigot.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.5.5.
    </div>
  </body>
</html>